# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit eutils cmake-utils

case ${PV} in
9999)
	inherit git-r3
	KEYWORDS=""
	EGIT_REPO_URI="git://github.com/CatxFish/obs-v4l2sink.git"
	;;
*)
	KEYWORDS="~amd64 ~x86"
	SNAPSHOT_COMMIT=""
	SRC_URI="https://github.com/CatxFish/obs-v4l2sink/archive/${PV}.tar.gz -> ${P}.tar.gz
			 https://github.com/obsproject/obs-studio/archive/25.0.0-rc6.tar.gz -> obs-studio-25.0.0-rc6.tar.gz"
	;;
esac

DESCRIPTION="OBS studio plugin for output to v4l2 loopback device"
HOMEPAGE="https://github.com/CatxFish/obs-v4l2sink"

LICENSE="GPL-2"
SLOT="0"
IUSE=""

DEPEND="
	media-video/obs-studio
	media-video/v4l2loopback
"
RDEPEND="${DEPEND}"
#PATCHES="${FILESDIR}/lib64.patch"

src_prepare() {
	sed -i "s_/lib/_/$(get_libdir)/_" CMakeLists.txt
	cmake-utils_src_prepare
}

src_configure() {
	local mycmakeargs=(
		-DLIBOBS_INCLUDE_DIR="${WORKDIR}/obs-studio-25.0.0-rc6/libobs"
	)
	cmake-utils_src_configure 
}
